<% local form, viewlibrary, page_info = ... %>
<% require("viewfunctions") %>

<H1><%= html.html_escape(form.label) %></H1>
<H2>Template Details</H2>
<% form.action = page_info.script .. page_info.prefix .. page_info.controller .. "/" .. page_info.action %>
<% displayformstart(form) %>
<% 
if page_info.action == "edittemplate" then
	form.value.template_id.readonly = "true"
	form.value.filename.readonly = "true"
	displayformitem(form.value.template_id, "template_id")
end
displayformitem(form.value.filename, "filename")
displayformitem(form.value.label, "label")
%>
</DL>

<H2>File Content</H2>
<DL>
<textarea name="filecontent">
<%= html.html_escape(form.value.filecontent.value) %>
</textarea>
<% if form.value.filecontent.errtxt then %><P CLASS='error'><%= string.gsub(html.html_escape(form.value.filecontent.errtxt), "\n", "<BR>") %></P><% end %>
<% if form.value.filecontent.descr then %><P CLASS='descr'><%= string.gsub(html.html_escape(form.value.filecontent.descr), "\n", "<BR>") %></P><% end %>

<% displayformend(form) %>
